# Return PostgreSQL databases

This function lists an account's PostgreSQL® databases.

Important:

  When you disable the Postgres role, the system disables this function.

Endpoint: GET /Postgresql/list_databases
Version: 11.136.0.19
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_databases"

  - `module` (string)
    The name of the module called.
    Example: "Postgresql"

  - `result` (object)

  - `result.data` (array)

  - `result.data.database` (string)
    The database name.
    Example: "user_db"

  - `result.data.disk_usage` (integer)
    The disk space that the database uses, in bytes.
    Example: 673

  - `result.data.users` (array)
    An array of database usernames.

Note:

  If no users exist on a database, the function returns an empty array
    Example: ["db_user"]

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


